org.apache.poi.hssf.record.chart

## Class AreaRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.chart.AreaRecord

- All Implemented Interfaces:
    Duplicatable

      public final class AreaRecord
      extends StandardRecord

  The area record is used to define a area chart.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AreaRecord()`
    `AreaRecord(AreaRecord other)`
    `AreaRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AreaRecord` | `clone()` Deprecated.
    `AreaRecord` | `copy()`
    `protected int` | `getDataSize()`
    `short` | `getFormatFlags()` Get the format flags field for the Area record.
    `short` | `getSid()` return the non static version of the id for this record.
    `boolean` | `isDisplayAsPercentage()` results displayed as percentages
    `boolean` | `isShadow()` display a shadow for the chart
    `boolean` | `isStacked()` series is stacked
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setDisplayAsPercentage(boolean value)` Sets the display as percentage field value.
    `void` | `setFormatFlags(short field_1_formatFlags)` Set the format flags field for the Area record.
    `void` | `setShadow(boolean value)` Sets the shadow field value.
    `void` | `setStacked(boolean value)` Sets the stacked field value.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AreaRecord

          public AreaRecord()

    - #### AreaRecord

          public AreaRecord(AreaRecord other)

    - #### AreaRecord

          public AreaRecord(RecordInputStream in)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public AreaRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getFormatFlags

          public short getFormatFlags()

      Get the format flags field for the Area record.

    - #### setFormatFlags

          public void setFormatFlags(short field_1_formatFlags)

      Set the format flags field for the Area record.

    - #### setStacked

          public void setStacked(boolean value)

      Sets the stacked field value. series is stacked

    - #### isStacked

          public boolean isStacked()

      series is stacked
      Returns:
        the stacked field value.

    - #### setDisplayAsPercentage

          public void setDisplayAsPercentage(boolean value)

      Sets the display as percentage field value. results displayed as percentages

    - #### isDisplayAsPercentage

          public boolean isDisplayAsPercentage()

      results displayed as percentages
      Returns:
        the display as percentage field value.

    - #### setShadow

          public void setShadow(boolean value)

      Sets the shadow field value. display a shadow for the chart

    - #### isShadow

          public boolean isShadow()

      display a shadow for the chart
      Returns:
        the shadow field value.

    - #### copy

          public AreaRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.